Resource

Incident Episode User Owner

Add users as owners to your incident episodes.

The Incident Episode User Owner Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    user
    Type
    User
    Description

    User that is the owner of this episode

  • Name
    userId
    Type
    Object IDRequired
    Description

    ID of the user who is the owner

  • Name
    incidentEpisode
    Type
    Incident Episode
    Description

    Relation to Incident Episode Resource in which this object belongs

  • Name
    incidentEpisodeId
    Type
    Object IDRequired
    Description

    ID of your Incident Episode in which this object belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    isOwnerNotified
    Type
    BooleanRequired
    Description

    Are owners notified of this resource ownership?

GETorPOST/api/incident-episode-owner-user/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incident Episode User Owner. By default, a maximum of ten Incident Episode User Owner are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incident-episode-owner-user/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incidentEpisodeId": true,
    "isOwnerNotified": true,
    "projectId": true,
    "userId": true,
    "_id": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37708040-28fe-11f1-b591-3fdcef396aba",
      "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "isOwnerNotified": true,
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "userId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "37708041-28fe-11f1-b591-3fdcef396aba",
      "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "isOwnerNotified": true,
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "userId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "37708042-28fe-11f1-b591-3fdcef396aba",
      "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
      "isOwnerNotified": true,
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "userId": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}
GETorPOST/api/incident-episode-owner-user/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incident Episode User Owner by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incident-episode-owner-user/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incidentEpisodeId": true,
    "isOwnerNotified": true,
    "projectId": true,
    "userId": true,
    "_id": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
  "isOwnerNotified": true,
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "userId": "550e8400-e29b-41d4-a716-446655440000"
}
POST/api/incident-episode-owner-user/count

Count

This endpoint allows you to retrieve the count of all your Incident Episode User Owner.

Optional Request Body

Count Request

POST
/api/incident-episode-owner-user/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/incident-episode-owner-user

Create Incident Episode User Owner

This endpoint allows you to create a new object.

Create Request

POST
/api/incident-episode-owner-user
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
    "isOwnerNotified": true,
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "userId": "550e8400-e29b-41d4-a716-446655440000",
    "createdByUser": "Example created by user"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "incidentEpisodeId": "550e8400-e29b-41d4-a716-446655440000",
  "isOwnerNotified": true,
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "userId": "550e8400-e29b-41d4-a716-446655440000"
}
PUT/api/incident-episode-owner-user/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/incident-episode-owner-user/:id/update-item
GET/api/incident-episode-owner-user/:id/update-item

Update Request

PUT
/api/incident-episode-owner-user/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {}
}

Response

{}
DELETE/api/incident-episode-owner-user/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/incident-episode-owner-user/:id/delete-item
GET/api/incident-episode-owner-user/:id/delete-item

Delete Request

DELETE
/api/incident-episode-owner-user/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incident Episode User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incident Episode User Owner
  • Read All Project Resources

Create Permissions

Required to create Incident Episode User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Create Incident Episode User Owner

Update Permissions

Required to update Incident Episode User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Incident Episode User Owner

Delete Permissions

Required to delete Incident Episode User Owner

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Incident Episode User Owner